FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Override Transaction Category

Overrides the Fiskil predicted category of a specific banking transaction.

AI Actions
POST
/v1/banking/transactions/category

Overrides the Fiskil predicted category of a specific banking transaction.

Authorization

Token_header_Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

The override category with the Fiskil transaction ID

fiskil_transaction_idstringrequired

the unique identifier (fiskil_id) of the transaction.

secondary_categorystringrequired

secondary category to override the transaction with. Must be a valid secondary category from the Fiskil taxonomy.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.fiskil.com/v1/banking/transactions/category" \  -H "Content-Type: application/json" \  -d '{    "fiskil_transaction_id": "bank_tx_abcdef1234",    "secondary_category": "INCOME_BUSINESS"  }'
{
  "message": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

Get Transactions